OCC(8)

NAME
occ - ownCloud server command line interface

SYNOPSIS
occ command [options] [arguments]

OPTIONS

-h, --help
    Display this help message

-q, --quiet
    Do not output any message

-V, --version
    Display this application version

--ansi
    Force ANSI output

--no-ansi
    Disable ANSI output

-n, --no-interaction
    Do not ask any interactive question

-v|vv|vvv, --verbose
    Increase the verbosity of messages: 1 for normal output, 2 for more verbose output and 3 for debug

  Available commands:

help
    Displays help for a command

list
    Lists commands

status
    show some status information

upgrade
    run upgrade routines

    app

app:disable
    disable an app

app:enable
    enable an app

app:list
    List all available apps

    db

db:convert-type
    Convert the ownCloud database to the newly configured one

db:generate-change-script
    generates the change script from the current connected db to db_structure.xml

    files

files:scan
    rescan filesystem

    ldap

ldap:search
    executes a user or group search

ldap:set-config
    modifies an LDAP configuration

ldap:show-config
    shows the LDAP configuration

ldap:test-config
    tests an LDAP configuration

    maintenance

maintenance:mode
    set maintenance mode

maintenance:repair
    repair this installation

maintenance:singleuser
    set single user mode

    music

music:scan
    rescan music

    user

user:lastseen
    shows when the user was logged it last time

user:report
    shows how many users have access

user:resetpassword
    Resets the password of the named user